Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599269 - The neutron API performance optimization [NEEDINFO]
Summary: The neutron API performance optimization
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 11.0 (Ocata)
Assignee: Nate Johnston
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 11:35 UTC by ojanas
Modified: 2018-08-17 12:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-17 12:39:55 UTC
Target Upstream Version:
pmorey: needinfo? (amuller)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 583968 None None None 2018-07-20 12:19:30 UTC
Red Hat Bugzilla 1591656 None CLOSED Openstack dashboard HTTP requests take a long time 2019-03-05 10:00:59 UTC

Description ojanas 2018-07-09 11:35:49 UTC
Description of problem:

The neutron API responses are slow when there is a lot of resources in database (neutron ports for example). Listing of all of the ports takes ~35s.

Is it possible to do some optimizations so the API responses faster?

Version-Release number of selected component (if applicable):

openstack-neutron-10.0.3-1.el7ost.noarch

Actual results:

The neutron API response is slow

Expected results:

The neutron API response is faster


Cheers.

Comment 3 Miguel Angel Ajo 2018-07-11 13:40:48 UTC
The octavia Squad indicates that something similar was happening in octavia, and they fixed it this way:

https://review.openstack.org/#/c/568361/

It's still unconfirmed if it's related, but I'll leave it here for just in case.


BTW, question, do we know if horizon is requesting items to neutron with pagination?, ideally it should use pagination to avoid loading many items it's not going to display.

Comment 9 Brian Haley 2018-07-30 13:32:01 UTC
Re-assigning to Nate.  Once oslo.policy fix is confirmed this can move to that component for backport.

Comment 11 Scott Lewis 2018-08-17 12:39:55 UTC
OSP11 has reached its retirement, please see https://access.redhat.com/errata/RHBA-2018:1828.


Note You need to log in before you can comment on or make changes to this bug.